package re.ast;

/**
 *  An interface for a propagating AST visitor.
 * The visitor passes down objects of type <code>DownType</code>
 * and propagates up objects of type <code>UpType</code>.
 */
trait PropagatingVisitor[DownType,UpType] {

	def visit(x : REEmpty, context : DownType) : UpType;
	
}