package re.ast;

/**
 * A class to represent "\epsilon", an empty regular expression.
 */
class REEmpty extends RENode {
	
	override def accept(visitor : Visitor) = {
		visitor.visit(this);
	}

	override def accept[DownType, UpType](visitor : PropagatingVisitor[DownType, UpType], context : DownType) : UpType = {
		visitor.visit(this, context);
	}

}
